classification
Title: Use argparse in the diff script
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, bethard, python-dev, rhettinger, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2013-09-08 15:28 by serhiy.storchaka, last changed 2014-07-15 10:25 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
diff_argparse.patch serhiy.storchaka, 2013-09-08 15:28 review
Messages (4)
msg197269 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-08 15:28
Here is a patch which replaces optparse to argparse in the Tools/scripts/diff.py script.
msg223093 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-07-15 07:56
Approved.  Go ahead and apply this.
msg223097 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-15 10:23
New changeset 08b3ee523577 by Serhiy Storchaka in branch 'default':
Issue #18974: Tools/scripts/diff.py now uses argparse instead of optparse.
http://hg.python.org/cpython/rev/08b3ee523577
msg223098 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-15 10:25
Thanks Raymond.
History
Date User Action Args
2014-07-15 10:25:21serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg223098

stage: patch review -> resolved
2014-07-15 10:23:55python-devsetnosy: + python-dev
messages: + msg223097
2014-07-15 07:56:20rhettingersetnosy: + rhettinger
messages: + msg223093
2014-07-10 13:28:56berker.peksagsetnosy: + berker.peksag

versions: + Python 3.5, - Python 3.4
2013-09-13 18:31:08terry.reedysetnosy: + terry.reedy
2013-09-08 15:28:40serhiy.storchakasetnosy: + bethard
2013-09-08 15:28:01serhiy.storchakacreate